@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap');

html {
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

nav a,
footer a {
    text-decoration: none;
    color: #2c467e;
    transition: color 0.3s ease;
}

nav a:hover,
footer a:hover {
    color: #4f90f1 !important;
}

.botao {
    text-decoration: none;
    color: #fff;
}

h5 {
    font-size: 20px;
}

li {
    list-style: none;
}

nav {
    background-color: #fff;
    position: relative;
    top: 0;
    padding: 0 85px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 80px;
    box-shadow: 0 5px 80px rgba(0, 0, 0, 0.1);
}

.titulo {
    margin-top: 50px;
    font-size: 30px;
    text-align: center;
}

nav .logo,
footer .logo {
    display: flex;
    align-items: center;
}

nav .logo a,
footer .logo a {
    margin-left: 8px;
    font-weight: bold;
    font-size: 20px;
}

nav .logo img,
footer .logo img {
    width: 80px;
    height: 60px;
}

nav ul,
footer .top ul {
    display: flex;
    gap: 40px;
}

nav button {
    color: #fff;
    background-color: #4f90f1;
    padding: 12px 16px;
    border-radius: 5px;
    border: 1px solid #4f90f1;
    cursor: pointer;
    transition: all 0.3s ease;
}

nav button:hover {
    background-color: #2c467e;
    border-color: #2c467e;
}

nav button#menuButton {
    display: none;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    padding: 7px;
}

.main {
    background-color: #deebee;
    padding: 90px 85px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 40px;
}

.efeitomain,
.services,
.efeitoabout,
.efeitoproject,
.efeitoprojects,
.efeitoimagem,
.efeitoitem1,
.efeitoitem2,
.efeitoitem3,
.contact {
    visibility: hidden;
}

.main .left {
    display: flex;
    flex-direction: column;
    align-items: start;
}

.main .left h3 {
    margin-top: 10px;
    font-weight: bold;
    font-size: 46px;
}

.main .left h3 span {
    color: #4f90f1;
}

.main .left p {
    color: #2c467e;
    font-size: 22px;
    margin-top: 20px;
}

.main .left button {
    margin-top: 40px;
    color: #fff;
    cursor: pointer;
    background-color: #4f90f1;
    padding: 14px 24px;
    border: 1px solid transparent;
    border-radius: 5px;
    transition: all 0.3s ease;
}

.main .left button:hover {
    background-color: #2c467e;
}

.main .right img {
    width: 500px;
}

.services {
    padding: 110px 85px 0;
}

.services h3,
.about .right h3,
.projects .header h3,
.contact h3 {
    font-size: 40px;
    margin-top: 20px;
}

.services .service-items {
    display: flex;
    margin-top: 70px;
    gap: 30px;
}

.services .service-items .item {
    background-color: #deebee;
    width: 25%;
    border-radius: 10px;
    padding: 32px;
    border-bottom: 4px solid transparent;
    transition: all 0.3s ease;
}

.services .service-items .item:hover {
    border-color: #4f90f1;
}

.services .service-items .item .icon {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    width: 46px;
    height: 46px;
    border-radius: 10px;
    margin-bottom: 22px;
    box-shadow: 0 0 16px rgba(0, 0, 0, 0.1);
}

.services .service-items .item .icon i {
    font-size: 26px;
    color: #4f90f1;
}

.services .service-items .item h4,
.projects .projects-items .item .info h4 {
    font-size: 18px;
}

.services .service-items .item p {
    margin-top: 20px;
    font-size: 14px;
    line-height: 22px;
    color: #2c467e;
}

.about {
    padding: 80px;
    display: flex;
    align-items: center;
    gap: 60px;
}

.about .left,
.container .left {
    background-color: #deebee;
    border-radius: 10px 10px 0 0;
}

.about .left img {
    width: 440px;
}

.about .leftpage {
    border-radius: 10px 10px 0 0;
}

.about .right p,
.container .right p {
    font-size: 16px;
    margin-top: 30px;
}

.about .ab p {
    font-size: 24px;
    margin-top: 30px;
}

.right button {
    margin-top: 40px;
    color: #fff;
    cursor: pointer;
    background-color: #4f90f1;
    padding: 12px 22px;
    border: 1px solid transparent;
    border-radius: 5px;
    transition: all 0.3s ease;
}

.right button:hover {
    background-color: #2c467e;
}

.projects {
    background-color: #deebee;
    padding: 110px 85px;
}

.projects .header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 60px;
}

.projects .header button {
    background-color: #ff0000;
    padding: 10px 20px;
    color: #fff;
    display: flex;
    align-items: center;
    cursor: pointer;
    gap: 8px;
    border: none;
    border-radius: 10px;
}

.projects .header button i {
    font-size: 26px;
}

.projects .projects-items {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.projects .projects-items .item {
    width: 30%;
    background-color: #fff;
    border-radius: 10px;
    border-bottom: 4px solid transparent;
    cursor: pointer;
    box-shadow: 0 5px 32px rgba(0, 0, 0, 0.15);
    transition: all 0.3s ease;
}

.projects .projects-items .item:hover {
    border-color: #4f90f1;
}

.projects .projects-items .item img {
    width: 100%;
    height: 240px;
    object-fit: cover;
    object-position: top;
    border-radius: 10px 10px 20px 20px;
}

.projects .projects-items .item .info {
    display: flex;
    flex-direction: column;
    gap: 14px;
    padding: 20px 32px 42px;
}

.projects .projects-items .item .info p {
    font-size: 13px;
}

.projects .projects-items .item .info a {
    color: #2c467e;
    text-decoration: underline;
    text-underline-offset: 10px;
    text-decoration-color: #4f90f1;
}

.projects .projects-items .item .info a i {
    margin-left: 2px;
    font-size: 16px;
}

.contact {
    padding: 110px 85px 0;
}

.contact form {
    background-color: #f9f9f9;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.contact form input,
.contact form textarea {
    font-size: 18px;
    display: block;
    width: 780px;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.contact form textarea {
    height: 200px;
    resize: none;
    overflow: auto;
}

.contact form input:focus,
.contact form textarea:focus {
    outline: none;
    border-color: #4f90f1;
}

.contact form button {
    background-color: #4f90f1;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 12px 24px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.contact form button:hover {
    background-color: #2c467e;
}

.container {
    padding: 80px;
    display: flex;
    align-items: center;
    gap: 60px;
}

.container .left img {
    width: 480px;
    height: 460px;
    border-radius: 5px;
}

footer {
    background-color: #deebee;
    padding: 85px;
    display: flex;
    flex-direction: column;
}

footer .top,
footer .bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

footer .top .social-links {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 22px;
}

footer .separator {
    width: 100%;
    height: 1px;
    background-color: #282938;
    margin: 30px 0 20px;
}

footer .bottom p {
    font-size: 12px;
}

footer .bottom .links a {
    font-size: 12px;
    margin-left: 14px;
}

@media screen and (max-width: 1550px) {
    .contact form input,
    .contact form textarea {
        font-size: 18px;
        display: block;
        width: 580px;
        padding: 10px;
        margin-bottom: 15px;
        border: 1px solid #ccc;
        border-radius: 5px;
    }

    .contact form textarea {
        height: 200px;
        resize: none;
        overflow: auto;
    }
}

@media screen and (max-width: 1330px) {
    .contact form input,
    .contact form textarea {
        font-size: 18px;
        display: block;
        width: 420px;
        padding: 10px;
        margin-bottom: 15px;
        border: 1px solid #ccc;
        border-radius: 5px;
    }

    .contact form textarea {
        height: 200px;
        resize: none;
        overflow: auto;
    }
}

@media screen and (max-width: 1200px) {

    .main .left h5 {
        font-size: 18px;
    }

    .main .left h3 {
        font-size: 36px;
    }

    .main .left p {
        font-size: 18px;
    }

    .main .right img {
        width: 380px;
    }

    .services .service-items {
        gap: 10px;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .services .service-items .item {
        width: 49%;
    }

    .about .left img {
        width: 370px;
    }

    .contact .left img {
        width: 370px;
        height: 350px;
    }

    .about .leftpage img {
        width: 370px;
    }

    .contact form input,
    .contact form textarea {
        font-size: 18px;
        display: block;
        width: 500px;
        padding: 10px;
        margin-bottom: 15px;
        border: 1px solid #ccc;
        border-radius: 5px;
    }

    .contact form textarea {
        height: 200px;
        resize: none;
        overflow: auto;
    }

    .services h3,
    .about .right h3,
    .projects .header h3,
    .contact h3 {
        font-size: 32px;
    }

    .about .right p {
        font-size: 15px;
    }

    .about .ab p {
        font-size: 22px;
    }

    footer .top ul {
        gap: 20px;
    }

}

@media screen  and (max-width:1135px){
    .contact form input,
    .contact form textarea {
        font-size: 18px;
        display: block;
        width: 450px;
        padding: 10px;
        margin-bottom: 15px;
        border: 1px solid #ccc;
        border-radius: 5px;
    }

    .contact form textarea {
        height: 200px;
        resize: none;
        overflow: auto;
    }
}

@media screen and (max-width: 1100px){
    .contact .container {
        flex-direction: column;
        justify-content: center;
    }
}

@media screen and (max-width: 992px) {

    nav button {
        display: none;
    }

    nav ul {
        gap: 20px;
    }

    nav ul li a {
        font-size: 15px;
    }

    .main {
        flex-direction: column;
    }

    .about,
    .contact .container {
        flex-direction: column;
        justify-content: center;
    }

    .about .leftpage img {
        padding-top: 0px;
    }

    .projects .projects-items {
        gap: 22px;
        flex-wrap: wrap;
        justify-content: center;
    }

    .projects .projects-items .item {
        width: 48%;
    }

    footer .top ul {
        display: none;
    }

}

@media screen and (max-width: 768px) {

    nav {
        justify-content: space-between;
        padding: 0 42px;
    }

    nav ul {
        display: none;
    }

    nav.open .logo {
        display: none;
    }

    nav.open ul {
        display: flex;
    }

    nav button#menuButton {
        display: flex;
    }

    .main {
        padding: 42px;
    }

    .services {
        padding: 85px 42px 0;
    }

    .services .service-items {
        gap: 8px;
    }

    .about,
    .contact {
        padding: 85px 42px;
    }

    .about .leftpage img {
        width: 250px;
    }

    .projects {
        padding: 60px 42px;
    }

    .projects .projects-items {
        gap: 18px;
    }

    footer {
        padding: 85px 42px;
    }

    footer .bottom {
        flex-direction: column-reverse;
        gap: 14px;
    }

}

@media screen and (max-width: 576px) {

    nav ul li a {
        font-size: 13px;
    }

    nav .logo a {
        font-size: 18px;
    }

    .main .left h3 {
        font-size: 32px;
    }

    .main .left p {
        font-size: 16px;
    }

    .main .left button {
        width: 100%;
    }

    .services .service-items .item {
        width: 100%;
    }

    .contact form input,
    .contact form textarea {
        font-size: 18px;
        display: block;
        width: 280px;
        padding: 10px;
        margin-bottom: 15px;
        border: 1px solid #ccc;
        border-radius: 5px;
    }

    .contact form textarea {
        height: 200px;
        resize: none;
        overflow: auto;
    }

    .projects .header button {
        font-size: 12px;
        padding: 8px 14px;
    }

    .projects .projects-items .item {
        width: 80%;
    }

    .about .ab p {
        font-size: 18px;
    }

}